%define upstream_name    Rose-DB
%define upstream_version 0.786

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Data source registry entry
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector::Overload) >= 6.400.0
BuildRequires: perl(Clone::PP)
BuildRequires: perl(DBI)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::Oracle)
BuildRequires: perl(DateTime::Format::Pg) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Rose::DateTime::Util) >= 0.532.0
BuildRequires: perl(Rose::Object) >= 0.854.0
BuildRequires: perl(SQL::ReservedWords)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Clock)
BuildArch:  noarch

%description
the Rose::DB manpage is a wrapper and abstraction layer for the DBI
manpage-related functionality. A the Rose::DB manpage object "has a" the
DBI manpage object; it is not a subclass of the DBI manpage.

Please see the Rose::DB::Tutorial (perldoc Rose::DB::Tutorial) for an
example usage scenario that reflects "best practices" for this module.

*Tip:* Are you looking for an object-relational mapper (ORM)? If so, please
see the the Rose::DB::Object manpage module. the Rose::DB::Object manpage
is an ORM that uses this module to manage its database connections. the
Rose::DB manpage alone is simply a data source abstraction layer; it is not
an ORM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Aug 26 2024 tv <tv> 0.786.0-1.mga10
+ Revision: 2091480
- update to 0.786

* Tue Aug 29 2023 tv <tv> 0.785.0-1.mga10
+ Revision: 1981018
- update to 0.785

* Sat Feb 04 2023 tv <tv> 0.784.0-1.mga9
+ Revision: 1938103
- update to 0.784

* Mon Mar 21 2022 umeabot <umeabot> 0.783.0-2.mga9
+ Revision: 1812524
- Mageia 9 Mass Rebuild

* Tue Apr 07 2020 tv <tv> 0.783.0-1.mga8
+ Revision: 1565395
- update to 0.783

* Sat Apr 04 2020 tv <tv> 0.782.0-1.mga8
+ Revision: 1564281
- update to 0.782

* Wed Feb 19 2020 umeabot <umeabot> 0.781.0-2.mga8
+ Revision: 1543006
- Mageia 8 Mass Rebuild

* Thu Jan 09 2020 tv <tv> 0.781.0-1.mga8
+ Revision: 1477351
- update to 0.781

* Sat Aug 10 2019 tv <tv> 0.779.0-1.mga8
+ Revision: 1428512
- update to 0.779

* Thu Sep 20 2018 umeabot <umeabot> 0.778.0-2.mga7
+ Revision: 1285959
- Mageia 7 Mass Rebuild

* Mon Oct 30 2017 guillomovitch <guillomovitch> 0.778.0-1.mga7
+ Revision: 1174919
- imported package perl-Rose-DB

